Bug 7833 - unique holiday link broken
Summary: unique holiday link broken
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Ian Walls
URL: /cgi-bin/koha/tools/holidays.pl?branc...
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-27 18:23 UTC by Nicole C. Engard
Modified: 2013-12-05 19:59 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7833 - unique holiday link broken (3.32 KB, patch)
2012-04-14 15:52 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7833 - unique holiday link broken (3.50 KB, patch)
2012-04-14 22:57 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-03-27 18:23:21 UTC
If you're viewing the holidsy for a branch (/cgi-bin/koha/tools/holidays.pl?branch=CPL&calendardate=07/06/2011) you can click on the date for a holiday closing on the right but it doesn't take you to the right event because the link is missing the branch code.

See here: http://screencast.com/t/wlQkqFqJO
Comment 1 Nicole C. Engard 2012-03-27 18:28:55 UTC
The same is true for the holiday exception links.
Comment 2 Katrin Fischer 2012-04-14 15:52:08 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2012-04-14 22:57:27 UTC
Created attachment 9201 [details] [review]
[SIGNED-OFF] Bug 7833 - unique holiday link broken

As Nicole stated on the bug the branchcode was missing from the links.

To test:
- add unique holidays to calendar for different branches
- click on link and check that the date is opened in the right calendar

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>

Clicked links for unique holidays and exceptions for
multiple branches and everything works perfectly.
Comment 4 Ian Walls 2012-04-16 14:29:14 UTC
T:T rescoping and then some spacing cleanup.  Marking Passed QA.
Comment 5 Jared Camins-Esakov 2012-05-24 00:59:57 UTC
This will be included in 3.6.5.